
// Display
DWORD SetBacklightPWM(int nACPowerPercent, int nBatteryPercent);
DWORD Display_QueryBacklightIntensity(LPDWORD lpdwACBacklight, LPDWORD lpdwBatteryBacklight);
DWORD BacklightOn(BOOL bOn);
DWORD GetBacklightStatus();
DWORD PowerOnLCD(BOOL bOn);
DWORD EnableTouchPanel(BOOL bEnable);
DWORD GetTouchPanelStatus(LPBOOL lpEnable);

// Keypad
DWORD SendKbdVisualKey(byte Key);
DWORD SetKeypadAlphaMode(int nMode);
DWORD GetKeypadAlphaMode();
DWORD EnablePowerButton(BOOL bOn);

//	LED
DWORD GoodReadLEDOn(BOOL bOn);
DWORD KeypadLEDOn(BOOL bOn);
BOOL GetKeypadLEDStatus();

//	Battery
int GetBatteryStatus();

// Audio
DWORD Audio_SetVolume(DWORD dwVolume);
DWORD Audio_GetVolume(LPDWORD lpdwVolume);

//	System
DWORD RegisterAlphaKeyNotification(HANDLE hWnd, UINT uMsg);
DWORD UnregisterAlphaKeyNotification(HANDLE hWnd);
BOOL EnableAutoConnect(BOOL bEnable);
void CallSuspend();
BOOL ShowTaskbar(BOOL bShow);
BOOL ShowDesktop(BOOL bShow);
BOOL ShowExploreToolbar(BOOL bShow);
BOOL ShowChineseIME(BOOL bShow);

//Bluetooth
BOOL BT_Enable();
BOOL BT_Disable();

//WLAN
BOOL WL_Enable();
BOOL WL_Disable();

// Vibrator
DWORD VibratorOn(BOOL bOn);
